# CYapfRailSegmentKey Struct Reference

key for cached segment cost for rail YAPF More...

`#include <yapf_node_rail.hpp>`

## Public Member Functions

FORCEINLINE | CYapfRailSegmentKey (const CYapfRailSegmentKey &src)
FORCEINLINE | CYapfRailSegmentKey (const CYapfNodeKeyTrackDir &node_key)
FORCEINLINE void | Set (const CYapfRailSegmentKey &src)
FORCEINLINE void | Set (const CYapfNodeKeyTrackDir &node_key)
FORCEINLINE int32 | CalcHash () const
FORCEINLINE TileIndex | GetTile () const
FORCEINLINE Trackdir | GetTrackdir () const
FORCEINLINE bool | operator== (const CYapfRailSegmentKey &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields

uint32 | m_value

## Detailed Description

key for cached segment cost for rail YAPF

Definition at line 16 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_rail.hpp